Subject: Re: [bug#39804] [PATCH] gnu: add emacs-exwm-next package (i.e. exwm for emacs-next)

From: Leo Prikler <[email-masked]>
Date: Sun, 15 Mar 2020 14:48:58 +0100

Am Dienstag, den 10.03.2020, 23:54 -0400 schrieb Maxim Cournoyer:
> Hello Leo,
> 
> Maxim Cournoyer <[email-masked]> writes:
> 
> > Leo Prikler <[email-masked]> writes:
> > 
> > > Am Freitag, den 28.02.2020, 09:32 +0100 schrieb Pierre Neidhardt:
> > > > The `#:emacs` field tells the build system which Emacs package
> > > > to use
> > > > to
> > > > build this package.  There may be something that not compatible
> > > > between
> > > > our current build system and emacs-next.
> > > > 
> > > > I've CC'ed Maxim and Leo, they might know more than me.
> > > This issue should be addressed by #39375, which is currently
> > > waiting to
> > > be pushed to master or staging.
> > 
> > If we don't hear back from
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39823 in a day or
> > two, I'd
> > be OK with pushing #39375 to master.
> 
> There have been no activity or reply on #39823 yet, so feel free to
> push
> the workaround discussed earlier (on the master branch is fine).
> 
> Maxim
Following the discussion in 39823, we now have two options.
1. loading the library in advance as I do.
2. wrapping our code in `(eval ...)'.
The latter has the advantage of not needing an additional function, but
both require a build system change.

WDYT?